# Unified Model Docs Object

> Source: https://truto.one/docs/api-reference/admin/unified-model-docs/

Schema for the `Unified Model Docs` resource in **Admin API**.

## Properties

- **`method`** _(string)_
  The unified method this metadata describes.
- **`schema`** _(object, required)_
  The unified-model resource JSON schema.
  - **`type`** _(string)_
    Allowed: `object`
  - **`$ref`** _(string)_
  - **`properties`** _(object)_
    Map of property name → `JsonSchemaObjectProperties`.
  - **`description`** _(string)_
  - **`required`** _(boolean)_
  - **`default`** _(unknown)_
  - **`additionalProperties`** _(boolean)_
- **`documentation_link`** _(string)_
  Vendor documentation URL for this method, if set on the integration mapping.
- **`response_schema`** _(object, required)_
  A subset of `schema` containing only the fields actually populated by `response_mapping` for this integration.
  - **`type`** _(string)_
    Allowed: `object`
  - **`$ref`** _(string)_
  - **`properties`** _(object)_
    Map of property name → `JsonSchemaObjectProperties`.
  - **`description`** _(string)_
  - **`required`** _(boolean)_
  - **`default`** _(unknown)_
  - **`additionalProperties`** _(boolean)_
- **`query_schema`** _(object, required)_
  JSON-schema-style description of the supported query parameters for this method.
  - **`type`** _(string)_
    Allowed: `object`
  - **`$ref`** _(string)_
  - **`properties`** _(object)_
    Map of property name → `JsonSchemaObjectProperties`.
  - **`description`** _(string)_
  - **`required`** _(boolean)_
  - **`default`** _(unknown)_
  - **`additionalProperties`** _(boolean)_
- **`request_body_schema`** _(object, required)_
  JSON-schema-style description of the supported request body for this method.
  - **`type`** _(string)_
    Allowed: `object`
  - **`$ref`** _(string)_
  - **`properties`** _(object)_
    Map of property name → `JsonSchemaObjectProperties`.
  - **`description`** _(string)_
  - **`required`** _(boolean)_
  - **`default`** _(unknown)_
  - **`additionalProperties`** _(boolean)_
- **`default_query`** _(object)_
  Default query parameters always applied by the integration mapping. Values may be templated JSONata expressions.
- **`default_body`** _(object)_
  Default request body always applied by the integration mapping. Values may be templated JSONata expressions. Object or `null` (arrays are allowed at runtime but rare).

## Methods

- [GET /unified/meta/{model_name}/{integration_name}](/docs/api-reference/admin/unified-model-docs/get) — Get integration specific documentation
